/*
 * This class represents a change to a text object caused by the user
 * typing characters or deleting characters with the delete key.
 */

@interface TypingTextChange : WholeTextChange
{
    int insertionPoint;		/* position of the cursor during change */
    int insertionMin;		/* low water mark of insertion point */
    int insertionMax;		/* high water mark of insertion point */
    TypingTextChange *subsumingChange;
    BOOL firstKeyDown;		/* YES if we haven't seen the first key yet */
    BOOL finished;	
}

/* Creation method */

- initView:aView;

/* Public Methods */

- saveBeforeChange;
- saveAfterChange;
- (BOOL)subsumeChange:change;
- finishChange;
- subsumedBy:change;
- (BOOL)canBeExtended;
- deleteCharacter;
- addCharacter:(int)ch;

@end
